{
  inputs,
  system,
  config,
  lib,
  ...
}: {
  # Hardware
  imports = [
    ./hardware-configuration.nix
    (inputs.nixpkgs
      + "/nixos/modules/installer/cd-dvd/installation-cd-minimal.nix")
  ];

  # Install
  environment.etc.sops-key = {
    source = "/home/muon/.config/sops-nix/secrets/sops-key";
    target = "sops-nix/key.txt";
  };
  sops.age.keyFile = lib.mkForce "/etc/sops-nix/key.txt";

  # System
  mods.user.name = "muon";
  networking.hostName = "murk";
  networking.hostId = "a2309090";
  mods.home.file = ./home.nix;

  # Modules
  mods.desktop.enable = true;
  mods.boot.enable = false;

  mods.theme.enable = true;
  mods.theme.scheme = "woodland";
  mods.theme.wallpaper = ./wallpaper.png;

  services.xserver.windowManager.i3.enable = true;

  # Hardware preferences
  environment.variables = {
    WINIT_HIDPI_FACTOR = "1";
    WINIT_X11_SCALE_FACTOR = "1";
  };

  ## Mouse
  services.libinput.mouse.accelProfile = "flat";

  # Version of first install
  system.stateVersion = "23.05";
}
